Subject: Re: [PATCH/RFC 0/5] add "unset.variable" for unsetting previously set variables

From: Jakub Narębski <[email-masked]>
Date: Tue, 07 Oct 2014 13:17:23 +0200

Junio C Hamano wrote:

>   - "[config] safe = section.variable" will list variables that can
>     be included with the config.safeInclude mechanism.  Any variable
>     that is not marked as config.safe that appears in the file
>     included by the config.safeInclude mechanism will be ignored.

Why user must know which variables are safe, why it cannot be left to 
Git to know which configuration variables can call external scripts?

-- 
Jakub Narębski